## Intergalactic

Intergalactic is a client-side gateway to the IPFS distributed web. After the
initial page load and bootstrapping, it pulls content from IPFS peers entirely
in your browser.

## Motivation

Intergalactic brings the distributed web to anyone with a web browser. This
allows web developers and content producers to publish their content through
IPFS, while still allowing users to consume it. All without having to download
any software or go through a centralized gateway.

## Installation

```shell
npm install
```

TODO

## Usage

### Development

First, run the following from your copy of Intergalactic's source code:

```shell
node server.js
```

Then, enter a URL like `http://localhost:3000/ipfs/<hash>` into your web
browser, where `<hash>` is the IPFS hash of some content on the network.

If the corresponding content is loadable, it will load and render in your
browser.


### Production

TODO


### Compatibility

So far, this is only tested in Firefox 57 on Linux. If you have success or
issues on other browsers, please let me know.
